Subject: Re: bug#32555: 26.1; Async command buffer navigation bug

From: Noam Postavsky <[email-masked]>
Date: Tue, 28 Aug 2018 08:29:18 -0400

tags 32555 + unreproducible
quit

Live System User <[email-masked]> writes:

>         After an `async-shell-command' finished, I tried to
>         navigate its buffer with the arrow-keys and got the
>         following:
>
> Debugger entered--Lisp error: (wrong-type-argument processp nil)
[...]
>   command-execute((lambda nil (interactive) (if (comint-after-pmark-p) (comint-previous-input 1) (previous-line 1))))

It looks like you've bound the arrow-keys to some command which causes
this error.  I don't see any similar command in Emacs sources (and I
don't get such an error in 'emacs -Q' with the normal arrow-key
commands).